# Cached_Connect_Strategy_T.cpp File Reference

`#include "ace/Cached_Connect_Strategy_T.h"`
`#include "ace/ACE.h"`
`#include "ace/Service_Repository.h"`
`#include "ace/Service_Types.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/WFMO_Reactor.h"`
`#include "ace/Pair_T.h"`

Include dependency graph for Cached_Connect_Strategy_T.cpp:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_T1 class SVC_HANDLER, ACE_PEER_CONNECTOR_1, class CACHING_STRATEGY, class ATTRIBUTES, class MUTEX
#define | ACE_T2 SVC_HANDLER, ACE_PEER_CONNECTOR_2, CACHING_STRATEGY, ATTRIBUTES, MUTEX

## Define Documentation

#define ACE_T1 class SVC_HANDLER, ACE_PEER_CONNECTOR_1, class CACHING_STRATEGY, class ATTRIBUTES, class MUTEX

#define ACE_T2 SVC_HANDLER, ACE_PEER_CONNECTOR_2, CACHING_STRATEGY, ATTRIBUTES, MUTEX